RedBoot User's Guide
Prev |  | Next

# fis delete

## Name

fis delete -- Delete flash image

## Synopsis

fis delete {`name`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`name` | Number | Name of image that should be deleted. |

## Description

This command removes an image from the FIS. The flash memory will be erased as part of the execution of this command, as well as removal of the name from the FIS directory.

> Note: Certain images are reserved by RedBoot and cannot be deleted. RedBoot will issue a warning if this is attempted.

## Examples

    RedBoot> fis list
    Name              flash addr   Mem addr    Length    Entry point
    RedBoot          0xA0000000   0xA0000000  0x020000  0x80000000
    RedBoot config   0xA0FC0000   0xA0FC0000  0x020000  0x00000000
    FIS directory    0xA0FE0000   0xA0FE0000  0x020000  0x00000000
    junk             0xA0040000   0x8C400000  0x020000  0x80000000
    RedBoot> fis delete junk
    Delete image ‘junk’ - continue (y/n)? y
    ... Erase from 0xa0040000-0xa0060000: .
    ... Erase from 0xa0fe0000-0xa1000000: .
    ... Program from 0x8c7d0000-0x8c7f0000 at 0xa0fe0000: .

Prev | Home | Next
fis load | Up | fis lock